SystemOrganization addCategory: #'Neo-JSON-VAST-Tests'!

!KeyedCollection class methodsFor: '*Neo-JSON-VAST-Tests' stamp: 'marianopeck 1/31/2018 11:32'!
newFromPairs: anArray
	"Answer an instance of me associating (anArray at: i) to (anArray at: i+1)
	 for each odd i.  anArray must have an even number of entries."

	"Dictionary newFromPairs: {'Red' . Color red . 'Blue' . Color blue . 'Green' . Color green}."

	| newDictionary |
	newDictionary := self new: anArray size / 2.
	1 to: anArray size - 1 by: 2 do: [ :i | newDictionary at: (anArray at: i) put: (anArray at: i + 1) ].
	^ newDictionary! !

!Point methodsFor: '*Neo-JSON-VAST-Tests' stamp: 'marianopeck 1/31/2018 12:05'!
setX: xValue setY: yValue 
	x := xValue.
	y := yValue! !

!Float methodsFor: '*Neo-JSON-VAST-Tests' stamp: 'marianopeck 1/31/2018 11:29'!
closeTo: num
 	"Tell whether the receiver and arguments are close from each."
	
	^ self closeTo: num precision: 0.0001! !

!Float methodsFor: '*Neo-JSON-VAST-Tests' stamp: 'marianopeck 1/31/2018 11:29'!
closeTo: num precision: aPrecision
 	"Tell whether the receiver and arguments are close from each other given a precision"
	
	num isNumber ifFalse: [ ^ [self = num] ifError: [false]].
	self = 0.0 ifTrue: [^ num abs < aPrecision].
	num = 0 ifTrue: [^self abs < aPrecision].
	^self = num asFloat
		or: [(self - num) abs / (self abs max: num abs) < aPrecision]! !

!Number methodsFor: '*Neo-JSON-VAST-Tests' stamp: 'marianopeck 1/31/2018 11:29'!
closeTo: num
	"Tell whether the receiver and arguments are close from each."

	num isFloat ifTrue: [ ^ num closeTo: self asFloat ].
	^ [ self = num ] ifError: [ false ]! !

!Number methodsFor: '*Neo-JSON-VAST-Tests' stamp: 'marianopeck 1/31/2018 11:29'!
closeTo: num precision: aPrecision
	"are these two numbers close?"

	num isFloat ifTrue: [ ^ num closeTo: self asFloat precision: aPrecision ].
	^ [ self = num ] ifError: [ false ]! !

!Number methodsFor: '*Neo-JSON-VAST-Tests' stamp: 'tbn 10/24/2012 15:32'!
hour
 
 	^ self hours! !

!Number methodsFor: '*Neo-JSON-VAST-Tests' stamp: 'brp 5/16/2003 07:56'!
hours
 
 	^ Duration hours: self! !

!NeoJSONBenchmark class methodsFor: '*Neo-JSON-VAST-Tests' stamp: 'MarianoMartinezPeck 1/30/2018 10:06'!
new
	^super new initialize! !
